AbstractHttp11JsseProtocol (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.coyote.http11, class: AbstractHttp11JsseProtocol

# Class AbstractHttp11JsseProtocol<S>

java.lang.Object
org.apache.coyote.AbstractProtocol<S>
org.apache.coyote.http11.AbstractHttp11Protocol<S>
org.apache.coyote.http11.AbstractHttp11JsseProtocol<S>

All Implemented Interfaces:
  `MBeanRegistration, ProtocolHandler`

Direct Known Subclasses:
  `Http11Nio2Protocol, Http11NioProtocol`

public abstract class AbstractHttp11JsseProtocol<S> extends AbstractHttp11Protocol<S>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractProtocol

  `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

- ## Field Summary

  ### Fields inherited from class AbstractHttp11Protocol

  `sm`

  ### Fields inherited from class AbstractProtocol

  `adapter, domain, mserver, oname, processorCache, rgOname`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractHttp11JsseProtocol(AbstractJsseEndpoint<S,?> endpoint)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractJsseEndpoint<S,?>`
  `getEndpoint()`
  Gets the endpoint.
  `int`
  `getSniParseLimit()`
  `String`
  `getSslImplementationName()`
  `protected String`
  `getSslImplementationShortName()`
  `void`
  `setSniParseLimit(int sniParseLimit)`
  `void`
  `setSslImplementationName(String s)`

  ### Methods inherited from class AbstractHttp11Protocol

  `addAllowedTrailerHeader, addSslHostConfig, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getHttpParser, getKeyAlias, getKeyPass, getKeyPassFile, getKeystoreFile, getKeystorePass, getKeystorePassFile, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionEncodings, getNoCompressionStrongETag, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getONameForUpgrade, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSSLPasswordFile, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, init, isSSLEnabled, isTrailerHeaderAllowed, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeyPassFile, setKeystoreFile, setKeystorePass, setKeystorePassFile, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionEncodings, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSSLPasswordFile, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

  ### Methods inherited from class AbstractProtocol

  `addWaitingProcessor, awaitConnectionsClose, checkSni, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxHeaderCount, getMaxQueueSize, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isAprRequired, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxQueueSize, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ProtocolHandler

  `getDesiredBufferSize`

- ## Constructor Details

  - ### AbstractHttp11JsseProtocol

    public AbstractHttp11JsseProtocol(AbstractJsseEndpoint<S,?> endpoint)

- ## Method Details

  - ### getEndpoint

    protected AbstractJsseEndpoint<S,?> getEndpoint()
    Description copied from class: `AbstractHttp11Protocol`
    Gets the endpoint.

    Over-ridden here to make the method visible to nested classes.

    Overrides:
      `getEndpoint` in class `AbstractHttp11Protocol<S>`
    Returns:
      the endpoint

  - ### getSslImplementationShortName

    protected String getSslImplementationShortName()

  - ### getSslImplementationName

    public String getSslImplementationName()

  - ### setSslImplementationName

    public void setSslImplementationName(String s)

  - ### getSniParseLimit

    public int getSniParseLimit()

  - ### setSniParseLimit

    public void setSniParseLimit(int sniParseLimit)